This queue is for tickets about the Perl-APIReference CPAN distribution.

Report information
The Basics
Id:
114100
Status:
new
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
dom [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
0.22
Fixed in:
(no value)



Subject: Please support perl 5.22.2
As per subject. 5.20.3 could also be added at the same time. Cheers, Dominic.
On Sat Apr 30 13:05:16 2016, DOM wrote:
Show quoted text
> As per subject. 5.20.3 could also be added at the same time.
Patch attached.
Subject: 5.22.2.patch
From 8c9d19a5aa3d6784e0b8f7b8e055bf62d10a4283 Mon Sep 17 00:00:00 2001 From: Dominic Hargreaves <dom@earth.li> Date: Sat, 30 Apr 2016 14:47:41 +0100 Subject: [PATCH] add support for 5.22.1 Bug: https://rt.cpan.org/Ticket/Display.html?id=114100 Bug-Debian: https://bugs.debian.org/823057 --- lib/Perl/APIReference.pm | 7 ++++--- 1 file changed, 4 insertions(+), 3 deletions(-) diff --git a/lib/Perl/APIReference.pm b/lib/Perl/APIReference.pm index ca1d88d..4c84eb8 100644 --- a/lib/Perl/APIReference.pm +++ b/lib/Perl/APIReference.pm @@ -18,10 +18,11 @@ use Class::XSAccessor sub _par_loader_hint { require Perl::APIReference::Generator; - require Perl::APIReference::V5_022_001; + require Perl::APIReference::V5_022_002; } our %Perls = ( + 5.022002 => 'V5_022_002', 5.022001 => 'V5_022_001', 5.022 => 'V5_022_000', 5.020002 => 'V5_020_002', @@ -62,8 +63,8 @@ our %Perls = ( 5.006 => 'V5_006_000', ); -our $NewestAPI = '5.022001'; -our $NewestStableAPI = '5.022001'; +our $NewestAPI = '5.022002'; +our $NewestStableAPI = '5.022002'; $Perls{'5.022000'} = $Perls{5.022}; $Perls{'5.020'} = $Perls{5.02}; -- 2.1.4
Subject: perlapi.5.22.2.pod.xz

Message body not shown because it is not plain text.



This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.